Contracts
Smart Contracts
Query smart contract metadata, execution results, state changes, and logs on Hedera with the Mirror Node REST API contract endpoints.
Was this page helpful?
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Query smart contract metadata, execution results, state changes, and logs on Hedera with the Mirror Node REST API contract endpoints.
| Endpoint | Description |
|---|---|
GET /api/v1/contracts | Retrieves a list of smart contract entities on the network. |
GET /api/v1/contracts/{contractIdOrAddress} | Fetches details of a specific contract by ID. |
GET /api/v1/contracts/results/{transactionIdOrhash} | Retrieves execution results for a specific contract transaction ID. |
GET /api/v1/contracts/{contractIdOrAddress}/results | Retrieves execution results for a specific contract. |
GET /api/v1/contracts/{id}/state | Fetches the state of a contract. |
GET /api/v1/contracts/results | Lists execution results for all contracts. |
GET /api/v1/contracts/results/{transactionIdOrHash}/results | Get contract actions by transaction ID or transaction hash. |
GET /api/v1/contracts/results/{timestamp} | Retrieves execution results for a contract at a given timestamp. |
GET /api/v1/contracts/logs | Lists logs emitted from contracts. |
GET /api/v1/contracts/{id}/results/logs | Fetches logs for a specific contract. |
GET /api/v1/contracts/{id}/results/opcodes | Get the opcode traces for historical transactions |
POST /api/v1/contracts/call | Invokes a smart contract method. |
Was this page helpful?